de.esprit.appsuite.transl

## Enum TrEasWindow

- java.lang.Object
- - java.lang.Enum<TrEasWindow>
  - - de.esprit.appsuite.transl.TrEasWindow

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEasWindow>

      public enum TrEasWindow
      extends java.lang.Enum<TrEasWindow>
      implements NlsKey

  Translations for window titles
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVITY_MONITOR`
    `ARCHIVE_CREATE`
    `ARCHIVE_CREATE_WFT_PROCESSING_0_FILES`
    `ARCHIVE_EXTRACT`
    `ARCHIVE_EXTRACTION_OF_0`
    `ARCHIVE_LISTING`
    `ARCHIVE_LISTING_OF_0`
    `AVAILABLE_OPTIONS`
    `CALENDAR`
    `CHOOSE_INPUT_FILE`
    `CHOOSE_OUTPUT_DIRECTORY`
    `CHOOSE_OUTPUT_FILE`
    `CHOOSE_ROOT_DIRECTOTRY`
    `CONFIRM_DIALOG`
    `CREATE_DIRECTORY`
    `CREATE_FILE`
    `CREATE_ZIP_ARCHIVE_0`
    `DATABASE_INFO`
    `DEFAULT_FIELD_EDITOR`
    `JAVA_APP_TEST`
    `JAVA_PROCESS_INFO`
    `MARKABLE_TABLE`
    `MEMORY_MONITOR`
    `RECORD_DETAILS`
    `RENAME_PATH`
    `SELECT_DIRECTORY`
    `SELECT_FILE`
    `TASK_MANAGER`
    `TASK_OPTION_DIALOG`
    `VIEW_RECORDS`
    `WORKFLOW_MANAGER`
    `WORKFLOW_MONITOR`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEasWindow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasWindow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### DEFAULT_FIELD_EDITOR

          public static final TrEasWindow DEFAULT_FIELD_EDITOR

    - #### CONFIRM_DIALOG

          public static final TrEasWindow CONFIRM_DIALOG

    - #### RECORD_DETAILS

          public static final TrEasWindow RECORD_DETAILS

    - #### CALENDAR

          public static final TrEasWindow CALENDAR

    - #### SELECT_DIRECTORY

          public static final TrEasWindow SELECT_DIRECTORY

    - #### SELECT_FILE

          public static final TrEasWindow SELECT_FILE

    - #### DATABASE_INFO

          public static final TrEasWindow DATABASE_INFO

    - #### VIEW_RECORDS

          public static final TrEasWindow VIEW_RECORDS

    - #### ACTIVITY_MONITOR

          public static final TrEasWindow ACTIVITY_MONITOR

    - #### WORKFLOW_MONITOR

          public static final TrEasWindow WORKFLOW_MONITOR

    - #### WORKFLOW_MANAGER

          public static final TrEasWindow WORKFLOW_MANAGER

    - #### TASK_MANAGER

          public static final TrEasWindow TASK_MANAGER

    - #### TASK_OPTION_DIALOG

          public static final TrEasWindow TASK_OPTION_DIALOG

    - #### CHOOSE_OUTPUT_FILE

          public static final TrEasWindow CHOOSE_OUTPUT_FILE

    - #### CHOOSE_OUTPUT_DIRECTORY

          public static final TrEasWindow CHOOSE_OUTPUT_DIRECTORY

    - #### CHOOSE_INPUT_FILE

          public static final TrEasWindow CHOOSE_INPUT_FILE

    - #### MEMORY_MONITOR

          public static final TrEasWindow MEMORY_MONITOR

    - #### MARKABLE_TABLE

          public static final TrEasWindow MARKABLE_TABLE

    - #### AVAILABLE_OPTIONS

          public static final TrEasWindow AVAILABLE_OPTIONS

    - #### JAVA_PROCESS_INFO

          public static final TrEasWindow JAVA_PROCESS_INFO

    - #### JAVA_APP_TEST

          public static final TrEasWindow JAVA_APP_TEST

    - #### CREATE_DIRECTORY

          public static final TrEasWindow CREATE_DIRECTORY

    - #### CREATE_FILE

          public static final TrEasWindow CREATE_FILE

    - #### RENAME_PATH

          public static final TrEasWindow RENAME_PATH

    - #### ARCHIVE_LISTING

          public static final TrEasWindow ARCHIVE_LISTING

    - #### ARCHIVE_LISTING_OF_0

          public static final TrEasWindow ARCHIVE_LISTING_OF_0

    - #### ARCHIVE_EXTRACT

          public static final TrEasWindow ARCHIVE_EXTRACT

    - #### ARCHIVE_EXTRACTION_OF_0

          public static final TrEasWindow ARCHIVE_EXTRACTION_OF_0

    - #### CHOOSE_ROOT_DIRECTOTRY

          public static final TrEasWindow CHOOSE_ROOT_DIRECTOTRY

    - #### CREATE_ZIP_ARCHIVE_0

          public static final TrEasWindow CREATE_ZIP_ARCHIVE_0

    - #### ARCHIVE_CREATE

          public static final TrEasWindow ARCHIVE_CREATE

    - #### ARCHIVE_CREATE_WFT_PROCESSING_0_FILES

          public static final TrEasWindow ARCHIVE_CREATE_WFT_PROCESSING_0_FILES

  - ### Method Detail

    - #### values

          public static TrEasWindow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasWindow c : TrEasWindow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasWindow valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.